> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all data sources

> Get all filter data sources



## OpenAPI

````yaml /_openapi/data-transformation-api.json GET /api/v1/streams/data-management/filter-data-sources
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/streams/data-management/filter-data-sources:
    get:
      tags:
        - STREAMS
        - DATA-MANAGEMENT
        - FILTERS
      summary: Filter Data Sources
      description: Get all filter data sources
      operationId: get_data_sources_api_v1_streams_data_management_filter_data_sources_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FilterDataSourceResponse'
                type: array
                title: >-
                  Response Get Data Sources Api V1 Streams Data Management
                  Filter Data Sources Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    FilterDataSourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        description:
          type: string
          title: Description
      type: object
      required:
        - id
        - name
        - type
        - description
      title: FilterDataSourceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````